/*******************************************************************************
 * Copyright (c) 2009 Pafsanias Ftakas.
 *
 * This file is part of DistProc.
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * DistProc is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Eclipse Public License v1.0 for more details.
 *
 * Contributors:
 *     Pafsanias Ftakas - initial API and implementation
 *******************************************************************************/
package com.koutra.dist.proc.model;

/**
 * A specialization of the <code>ISinkTemplate</code> interface for sink templates
 * that participate in split pipeline items.
 * 
 * @author Pafsanias Ftakas
 */
public interface ISplitSinkTemplate extends ISinkTemplate {

	/**
	 * Accessor to the sink of this faucet.
	 * @param index the index of the sink to use
	 * @return This faucet's sink.
	 */
	ISink getSink(int index);

}
